#! /bin/tcsh -f
#
#
#
set dir = /home/jamesh/pdb/snapshot/ftp.wwpdb.org/pub/pdb/data/structures/divided/pdb/

set id = `echo $1 | awk '{print tolower($1)}'`
set ID = `echo $id | awk '{print toupper($1)}'`

set mi = `echo $id | awk '{print substr($1,2,2)}'`

set localfile = ${dir}/${mi}/pdb${id}.ent.Z
if(! -s $localfile ) then
    set localfile = ${dir}/${mi}/pdb${id}.ent.gz
endif
if(! -s $localfile ) then
    set dir = `echo $dir | awk '{gsub("wwpdb","rcsb"); print}'`
    set localfile = ${dir}/${mi}/pdb${id}.ent.Z
endif
if(! -s $localfile ) then
    set localfile = ${dir}/${mi}/pdb${id}.ent.gz
endif

if(! -s $localfile) then
    wget -O $localfile http://www.wwpdb.org/pdb/files/${ID}.pdb.gz
endif
if(! -s $localfile) then
    wget -O $localfile http://www.rcsb.org/pdb/files/${ID}.pdb.gz
endif
if(! -s $localfile) then
    wget -O $localfile http://www.rcsb.org/pdb/files/${ID}.pdb.gz
endif

zcat $localfile

