#! /bin/tcsh

./mirror.com


find ftp.wwpdb.org/ -name '*.ent.gz' -exec zegrep -H -m 1 "^HEADER" \{\} \; > ! HEADERgrep_raw.txt &
awk -F "[:]" '{print substr($1,length($1)-10,4),$2}' HEADERgrep_raw.txt |\
awk '{id=$1} id!=lastid{print lastid,string;string=""} {string=string substr($0,15,63);lastid=id}' |\
cat >! HEADER.txt

find ftp.wwpdb.org/ -name '*.ent.gz' -exec zegrep -H "^TITLE" \{\} \; > ! TITLEgrep_raw.txt &
awk -F "[:]" '{print substr($1,length($1)-10,4),$2} END{print x}' TITLEgrep_raw.txt |\
awk '{id=$1} id!=lastid{print lastid,string;string=""} {text=substr($0,16,62);\
  while(gsub(" $","",text));\
  string=string text;lastid=id} END{print lastid,string}' |\
cat >! TITLE.txt

find ftp.wwpdb.org/ -name '*.ent.gz' -exec zegrep -H "^COMPND" \{\} \; > ! COMPNDgrep_raw.txt &
awk -F "gz:" '{print substr($1,length($1)-10,4),$2}' COMPNDgrep_raw.txt |\
grep -v "MOL_ID" |\
awk '{id=$1} id!=lastid{print lastid,string;string=""} {\
    line=substr($0,15,63);while(gsub(" $|^[0-9]","",line));;\
    string=string line;lastid=id}' |\
cat >! COMPND.txt





find ftp.wwpdb.org/pub/pdb/data/structures/divided/pdb/ -name '*.ent.gz' -print -exec zgrep "^CRYST1 " \{\} \; |\
awk '/^ftp.wwpdb.org/{id=substr($0,length($0)-10,4)}\
 /^CRYST/{text=1;print id,$0}\
 id!=lastid && lastid!="" && text==0{print lastid,"has no CRYST1 "}\
 id!=lastid {text=0}\
 {lastid=id}' |\
tee CRYST1.txt

./reduced_cells.com


